#include <Arduino.h>
#include <BleKeyboard.h>

BleKeyboard bleKeyboard;

const int buttonPin = 2; // הלחצן מחובר ל־GPIO 2

void setup() {
  Serial.begin(115200);
  Serial.println("Starting BLE work!");
  bleKeyboard.begin();
  // שימוש ב־INPUT_PULLUP כדי להניח שהלחצן מחובר ל-GND כאשר נלחץ
  pinMode(buttonPin, INPUT_PULLUP);
}

void loop() {
  if (bleKeyboard.isConnected()) {
    // אם הלחצן נלחץ (מצב LOW, כיוון שיש pull-up פנימי)
    if (digitalRead(buttonPin) == LOW) {
      Serial.println("Button pressed, sending F7...");
      bleKeyboard.press(KEY_F7);
      delay(100);
      bleKeyboard.release(KEY_F7);
      
      // המתנה עד שהלחצן ישוחרר, כדי למנוע שליחה חוזרת רציפה
      while (digitalRead(buttonPin) == LOW) {
        delay(10);
      }
      
      // השהייה נוספת למניעת דאונדבנס
      delay(500);
    }
  } else {
    Serial.println("Waiting for BLE connection...");
    delay(1000);
  }
}
